0

I'm having a issue after an upgrade has been done by my isp. Since the upgrade i couldn't access Component manager. After looking on the net i established that i cant ping the magento marketplace through ssh. Upon further digging i established that the access keys is somehow making problems in my Marketplace system config. I recreated the keys and reset the old ones but i keep getting this error

Command "show" failed: [InvalidArgumentException] Package magento/framework not found show [--all] [-i|--installed] [-p|--platform] [-a|--available] [-s|--self] [-N|--name-only] [-P|--path] [-t|--tree] [package] [version]

Im not sure what it could be can someone maybe help me out please

  • Is it happening on the terminal? What's the command? – Rafael Corrêa Gomes Apr 7 '17 at 15:12
  • When i go in the backend of my shop. I click on System Then on the Setup Wizard button. then theres 3 options Component manager, System Upgrade and System Config – Anton Marais Apr 7 '17 at 15:19
0

Go to the root folder, and run these commands on the terminal and try again:

alias mage="php -d memory_limit=-1 -f bin/magento"

composer update -vv && composer install &&
chmod -R 777 pub/static/ var/ pub/media/ &&
rm -rf var/view_preprocessed/ var/cache/ var/page_cache/ var/tmp/ var/generation/ pub/static/frontend/ ;
mage cache:clean &
mage cache:flush &
mage indexer:reindex &
mage setup:upgrade &&
mage setup:static-content:deploy ; mage setup:static-content:deploy -f;
mage setup:db-data:upgrade &&
mage dev:source-theme:deploy &&
chmod -R 777 pub/static/ pub/media/ var/
0

Hi Rafael thx a million for the help this is what i got so far

> rm -rf var/view_preprocessed/ var/cache/ var/page_cache/ var/tmp/ var/generation/ pub/static/frontend/ ;
Loading composer repositories with package information
Updating dependencies (including require-dev)
Dependency resolution completed in 0.401 seconds
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - The requested package magento/product-community-edition 2.1.5 exists as magento/product-community-edition[2.1.3] but these are rejected by your constraint.

And when i try to upgrade to 2.1.5 I also get a error read somewhere that if the installation was done through a cpanel it could cause hassle and you must rather do it through the host. I have tried that aswell the host is only updating to 2.1.3

I picked up something intresting when i was installing a extension i didnt know where the files must go so i placed them in root and i had to ovverwrite a file i think i went over the composer.json can u tell me where composer.json is located? Think it could be related to the upgrade issue im having

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.